> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.simjuno.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.simjuno.com/_mcp/server.

# Order Esim

POST https://api.simjuno.com/v1/esim/order
Content-Type: application/json

Order one or more eSIM packages using the reseller wallet. The account discount_percent from GET /reseller/balance is taken off each package price. Coupons are not accepted.

Reference: https://docs.simjuno.com/api-reference/esim/order-esim

## Authentication

- `x-api-key` header (required) — API key generated from the dashboard (Settings → API Keys). Each key is limited to 8 requests per 1-second window.

## Request

### Body (application/json)

- `transaction_id` (string, required) — Reseller-assigned transaction ID
- `orderList` (list of object, required)
  - `slug` (string, required)
  - `count` (integer, required)

## Response

### 200

Successful response

- `transaction_id` (string, required) — Reseller-assigned transaction ID
- `esim_ids` (list of string, required)

## Examples

**Request**

```json
{
  "transaction_id": "string",
  "orderList": [
    {
      "slug": "string",
      "count": 1
    }
  ]
}
```

**Response**

```json
{
  "transaction_id": "string",
  "esim_ids": [
    "string"
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.simjuno.com/v1/esim/order"

payload = {
    "transaction_id": "string",
    "orderList": [
        {
            "slug": "string",
            "count": 1
        }
    ]
}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.simjuno.com/v1/esim/order';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{"transaction_id":"string","orderList":[{"slug":"string","count":1}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.simjuno.com/v1/esim/order"

	payload := strings.NewReader("{\n  \"transaction_id\": \"string\",\n  \"orderList\": [\n    {\n      \"slug\": \"string\",\n      \"count\": 1\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.simjuno.com/v1/esim/order")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"transaction_id\": \"string\",\n  \"orderList\": [\n    {\n      \"slug\": \"string\",\n      \"count\": 1\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.simjuno.com/v1/esim/order")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"transaction_id\": \"string\",\n  \"orderList\": [\n    {\n      \"slug\": \"string\",\n      \"count\": 1\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.simjuno.com/v1/esim/order', [
  'body' => '{
  "transaction_id": "string",
  "orderList": [
    {
      "slug": "string",
      "count": 1
    }
  ]
}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.simjuno.com/v1/esim/order");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"transaction_id\": \"string\",\n  \"orderList\": [\n    {\n      \"slug\": \"string\",\n      \"count\": 1\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "transaction_id": "string",
  "orderList": [
    [
      "slug": "string",
      "count": 1
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.simjuno.com/v1/esim/order")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```